Subject: [sipcore] WGLC 4244bis-callflows 3.6

From: <[email-masked]>
Date: Thu, 18 Oct 2012 10:57:23 +0000

Section 3.6
MM#16 About Brett's comment#3) agree (see Roland's comment 1)

MM#17 first paragraph: "The voicemail system typically requires the original called party information to determine the appropriate mailbox so an appropriate greeting can be provided and the appropriate party notified of the message."

I would add a note as following to avoid questions: In some cases, the final voicemail is only responsible for the last retargeting user and so the mailbox would be interested in the last retargeting user hi-entry (case presented in section 3.7)

MM#18 second paragraph: regarding "The original target is determined by finding the first hi-entry tagged with "rc" and using the hi-entry referenced by the index of "rc" header field parameter as the target for determining the appropriate mailbox."
May be I'm wrong but in my understanding, it can also be the "mp" parameter. So I propose to change the sentence as following: "The original target is determined by finding the first hi-entry tagged with "rc" or "mp" and using the hi-entry referenced by the index of "rc" or "mp" header field parameter as the target for determining the appropriate mailbox."

MM#19 F6: in the first line
INVITE sip:[email-masked];target=sip:bob%40example.com;cause=408
Bob answered a 302 which is a call deflection forwarding service, so per RFC4458 the cause uri parameter should be populated with a 480 (and not a 408 used for "no reply"). Same comment for the hi-entries in F6.

MM#20 F6: In the H-I header:
   History-Info: <sip:[email-masked]>;index=1
   History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D302>;\
                      index=1.1;rc=1
   History-Info: <sip:[email-masked]>;index=1.2;mp=1
   History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D408>;\
                      index=1.2.1;rc=1.2
   History-Info: <sip:[email-masked];\
                      target=sip:bob%40example.com;cause=408>;\
                      index=1.3;mp=1.2
   History-Info: <sip:[email-masked];\
                      target=sip:bob%40example.com;cause=408>;\
                      index=1.3.1;rc=1.3
In the line: History-Info: <sip:[email-masked]?Reason=SIP%3Bcause%3D408>;index=1.2.1;rc=1.2

In RFC4244 it was stated that the Reason header is only inserted when the real response is received. If it is the same with draft-4244bis, no Reason header should be inserted associated with Carol hi-entry. I found the following text in 4244bis: "A reason is included in the hi-targeted-to-uri of an hi-entry to reflect information received in a response to the request sent to that URI." So I have a doubt and if effectively the Reason header can be added even without error response received, it should be explicitly mentioned in 4244bis as it is a difference with RFC4244.

Best Regards,
Marianne

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
France Telecom - Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, France Telecom - Orange is not liable for messages that have been modified, changed or falsified.
Thank you.